// ID:编号, NeedActive:达成所需活跃度, Name:没用, ItemId:奖励物品ID, Count:奖励物品数量, Icon:图标

export default class M_ActiveReward {
  private static data =
      {"1":{"ID":1,"NeedActive":2,"Name":"10冰冻","ItemId":110,"Count":2,"Icon":"UI/Image/FreezeIcon.png"}

      ,"2":{"ID":2,"NeedActive":4,"Name":"2000金币","ItemId":1,"Count":2000,"Icon":"Common3/M_ShopIcon_6.png"}

      ,"3":{"ID":3,"NeedActive":6,"Name":"3龙珠","ItemId":14,"Count":3,"Icon":"Common3/M_Bead.png"}

      }// ID:编号, NeedActive:达成所需活跃度, Name:没用, ItemId:奖励物品ID, Count:奖励物品数量, Icon:图标


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}